Subject: Re: Allowing netlink_family to be any integer (was: [PATCH 2.6] iptables CLUSTERIP target)

From: Evgeniy Polyakov <[email-masked]>
Date: Fri, 22 Oct 2004 16:32:39 +0400

On Fri, 2004-10-22 at 16:19, jamal wrote:
> On Fri, 2004-10-22 at 07:39, Herbert Xu wrote:
> > On Fri, Oct 22, 2004 at 07:29:39AM -0400, jamal wrote:
> > > 
> > > Evgeniy Polyakov(aka mr. Sean Paul) posted code a while back for
> > > something that uses netlink that he calls  "kernel Konnector". I think
> > 
> > That patch puts the ID in each message, right?
> 
> Yes, the ID is necessary for "routing" the message. Remember this is for
> a messaging subsystem so you cant avoid having something that is in the
> packet that is used to find where to go next.
> I was suggesting also messaging by name.
> 
> > That would mean paying the lookup cost for each message rather than
> > once when you create the socket.
> > 
> 
> Take a look at the patch. See how it can be made better.
> Evgeniy, Do you have something new to post?

Nothing major, only multicast group selection by id.
Although I think message sending mechanism can use unicast.
Both have it's own advantages.

> cheers,
> jamal
-- 
	Evgeniy Polyakov

Crash is better than data corruption. -- Art Grabowski